
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux 查看tomcat状态和日志 / iVAN</title>

    <meta name="description" content="linux 查看tomcat状态和日志 一般服务器部署在linux系统中, 那么在linux 系统中如何查看tomcat日志呢?   场景1:浏览器报错了,如何定位错误 查看tomcat 日志的尾部 Shell代码   tail -n 50 ../../logs/catalina.out    tail表示只显示catalina.out 最后n 行   场景2:如何实时查看tomcat日志内容呢? Shell代码   tail -f ../../logs/catalina.out       场景3:通过关键字查询日志 Shell代码">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux 查看tomcat状态和日志</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一般服务器部署在linux系统中,</p>
<p>那么在linux 系统中如何查看tomcat日志呢?</p>
<p> </p>
<p><strong>场景1:浏览器报错了,如何定位错误</strong></p>
<p>查看tomcat 日志的尾部</p>
<p>Shell代码  <a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaHcxMjg3Nzg5Njg3Lml0ZXllLmNvbS9pbWFnZXMvaWNvbl9zdGFyLnBuZw==.jpg"></a></p>
<ol>
<li>tail -n 50 ../../logs/catalina.out  </li>
</ol>
<p> tail表示只显示catalina.out 最后n 行</p>
<p> </p>
<p><strong>场景2:如何实时查看tomcat日志内容呢?</strong></p>
<p>Shell代码  <a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaHcxMjg3Nzg5Njg3Lml0ZXllLmNvbS9pbWFnZXMvaWNvbl9zdGFyLnBuZw==.jpg"></a></p>
<ol>
<li>tail -f ../../logs/catalina.out  </li>
</ol>
<p> </p>
<p> </p>
<p><strong>场景3:通过关键字查询日志</strong></p>
<p>Shell代码  <a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaHcxMjg3Nzg5Njg3Lml0ZXllLmNvbS9pbWFnZXMvaWNvbl9zdGFyLnBuZw==.jpg"></a></p>
<ol>
<li>grep -nH "Excetion message" test.text  </li>
</ol>
<p>说明:grep的参数说明</p>
<p> -n, --line-number 行号</p>
<p>-H, --with-filename 打印每个匹配的文件名 </p>
<p>-r, --recursive           like --directories=recurse 递归</p>
<p> </p>
<p><strong>判断tomcat是否在运行</strong></p>
<p>Shell代码  <a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaHcxMjg3Nzg5Njg3Lml0ZXllLmNvbS9pbWFnZXMvaWNvbl9zdGFyLnBuZw==.jpg"></a></p>
<ol>
<li>#!/bin/sh  </li>
<li>$grep_result  </li>
<li>grep_result=`ps -ef |grep tomcat|grep "/home/whuang/software/apache/apache-tomcat-7.0.53"|grep -v "grep"`  </li>
<li>echo $grep_result  </li>
<li>    if [ x"$grep_result" = x"" ];then  </li>
<li>        echo "tomcat not run"  </li>
<li>    else  </li>
<li>        echo "tomcat is running..."    </li>
<li>    fi  </li>
</ol>
<p> </p>
<p><strong>定时启动tomcat</strong></p>
<p>编辑定时器:</p>
<p>crontab -e</p>
<p> </p>
<table>
<tbody>
<tr>
<td>
<br />*/1 * * * * /home/whuang/software/auto_start_tomcat.sh</p>
</td>
</tr>
</tbody>
</table>
<p>每隔一分钟就执行指定脚本</p>
<p> </p>
<p> 脚本内容如下:</p>
<p>Shell代码  <a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaHcxMjg3Nzg5Njg3Lml0ZXllLmNvbS9pbWFnZXMvaWNvbl9zdGFyLnBuZw==.jpg"></a></p>
<ol>
<li>#!/bin/sh  </li>
<li>$grep_result  </li>
<li>grep_result=`ps -ef |grep tomcat|grep "/home/whuang/software/apache/apache-tomcat-7.0.53"|grep -v "grep"`  </li>
<li>if [ x"$grep_result" = x"" ];then  </li>
<li>  </li>
<li>        catalina_home2=/home/whuang/software/apache/apache-tomcat-7.0.53  </li>
<li>        CATALINA_HOME=$catalina_home2  </li>
<li>        cd $catalina_home2/bin  </li>
<li>        ./startup.sh  </li>
<li>    else  </li>
<li>        echo "tomcat is running..."    </li>
<li>    fi  </li>
</ol>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:39:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/linux%e6%9f%a5%e7%9c%8b%e6%97%a5%e5%bf%97linux%e6%9f%a5%e7%9c%8btomcat%e6%97%a5%e5%bf%97%e6%9f%a5%e7%9c%8b%e6%9c%8d%e5%8a%a1%e5%99%a8%e6%97%a5%e5%bf%97/" title="linux查看日志linux查看tomcat日志查看服务器日志">linux查看日志linux查看tomcat日志查看服务器日志</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux 查看tomcat状态和日志的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6kanJp.html" rel="bookmark">linux查看ssh用户登录日志与操作日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ssh用户登录日志 linux下登录日志在下面的目录里:  代码如下 复制代码 cd /var/log 查看ssh用户的登录日志:  代码如下 复制代码 less secure 1. 日志简介 日志对于安全来说,非常重要,他记录了系统每天发生的各种各样的事情,你可以通过他来检查错误发生的原因,或者受到攻击时攻击者留下的痕迹.日志主要的功能有:审计和监测.他还可以实时的监测系统状态,监测和追踪侵入者等等. 在Linux系统中,有三个主要的日志子系统: 连接时间日志–由多个程序执行,把纪录写入到/v			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm79q1b.html" rel="bookmark">Linux查看端口状态及关闭端口方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  前提:首先你必须知道,端口不是独立存在的,它是依附于进程的.某个进程开启,那么它对应的端口就开启了,进程关闭,则该端口也就关闭了.下次若某个进程再次开启,则相应的端口也再次开启.而不要纯粹的理解为关闭掉某个端口,不过可以禁用某个端口. 1. 可以通过&quot;~$ netstat -anp&quot; 来查看哪些端口被打开. (注:加参数'-n'会将应用程序转为端口显示,即数字格式的地址,如:nfs-&gt;2049, ftp-&gt;21,因此可以开启两个终端,一一对应一下程序所对应的端口号) 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdyj01z.html" rel="bookmark">Linux下多线程查看工具&lpar;pstree、ps、pstack&rpar;&comma;linux命令之-pstree使用说明， linux 查看线程状态。  不指定</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0.最常用 pstree:[root@iZ25dcp92ckZ temp]# pstree -a|grep multe  |       |   `-multepoolser  |       |       `-multepoolser  |       |           `-2*[{multepoolser}] 1. &gt; top 可以显示所有系统进程 按u, 再输入相应的执行用户名称,比如Tom 可以看到Tom用户启动的所有进程和对应的pid 2. &gt; pstack pid 可以看到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjEm7nz.html" rel="bookmark">linux下实时查看tomcat运行日志的方法&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.先切换到:cd usr/local/tomcat5/logs 2.tail -f catalina.out 3.这样运行时就可以实时查看运行日志了 Ctrl+c 是退出tail命令. 顺便讲一下Linux中tail命令 tail 命令从指定点开始将文件写到标准输出.使用tail命令的-f选项可以方便的查阅正在改变的日志文件,tail -f filename会把filename里最尾部的内容显示在屏幕上,并且不但刷新,使你看到最新的文件内容. 1．命令格式; tail[必要参数][选择参数][			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKjjab.html" rel="bookmark">Linux下查看SELinux状态和关闭SELinux的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux下查看SELinux状态和关闭SELinux的方法  一.查看SELinux状态命令: 1./usr/sbin/sestatus -v      ##如果SELinux status参数为enabled即为开启状态 SELinux status:                 enabled 2.getenforce                 ##也可以用这个命令检查 二.关闭SELinux方法: 1.临时关闭(不用重启机器): 代码如下: setenforce 0 #设置SE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnOy2rz.html" rel="bookmark">Linux中查看socket状态（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux中查看socket状态:cat /proc/net/sockstat #(这个是ipv4的) sockets: used 137 TCP: inuse 49 orphan 0 tw 3272 alloc 52 mem 46UDP: inuse 1 mem 0RAW: inuse 0 FRAG: inuse 0 memory 0 说明:sockets: used:已使用的所有协议套接字总量TCP: inuse:正在使用(正在侦听)的TCP套接字数量.其值≤ netstat –lnt |			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3NP8z.html" rel="bookmark">linux系统tomcat重启老是端口被占用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 linux系统tomcat重启老是端口被占用 linux上的tomcat java网站更新,./startup.sh查看日志发现是端口被占用,然后查使用端口的 线程,kill掉,再次启动还是端口被占用,已经纠结两天了,求大神解答! 解决方案 http://jingyan.baidu.com/article/67662997372ecc54d51b8423.html 解决方案二: 那就要看那个进程为 ui 什么老是启动,是不是常驻进程 解决方案三: 你查出来占用端口的是什么程度没有? 参			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx0dGjM.html" rel="bookmark">Linux下Tomcat catalina&period;out自动归档，以及logrotate 配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux下Tomcat catalina.out自动归档 如果 catalina.out 日志达到 2GB 大小的时候,Tomcat 因为缓存问题,便没有办法继续输出日志了.  为了避免这种情况,你需要及时对 catalina.out  进行归档.  实际上 Tomcat 自身也会对日志内容进行归档,但是归档后,Tomcat 不会清理 catalina.out 的内容,这将会导致 catalina.out 越来越大.  下面的方法能够使用在 linux/unix 的机器上.  如果我们期望每天			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NXr5p.html" rel="bookmark">图解linux安装tomcat（附常用命令）&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例使用的是centos6.5版本,具体内容如下 一.首先到官方下载tomcat服务 http://tomcat.apache.org/download-70.cgi  二.将tomcat上传至linux服务器中 本人在根目录下建立了一个rommr文件夹 一般放到/usr/目录下,看自己了. 开始安装步骤1.获取权限:chmod +x apache-tomcat-7.0.67.tar.gz      2.解压:tar zxvf apache-tomcat-7.0.67.tar.gz 3.重命名:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAeKXM.html" rel="bookmark" class="title">三种方法解决IIS6目录检查漏洞</a>
					<div>
						iis|解决 一 . Windows 2003 Enterprise Edition IIS6 目录检查漏洞的描述 1.Windows 2003 Enterprise Edition是微软目前主流的服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdQn2z.html" rel="bookmark" class="title">PS为MM照片调出冷色调</a>
					<div>
						PS为MM照片调出冷色调,图文教程. 原图 效果图 1.打开原图,复制一层,建可选颜色调整层. 调整黄色如下 2.再建一层可选颜色,调整红色,如下: 3.建色彩平衡调整层,调整如下: 4.建通道混合器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwdDmz.html" rel="bookmark" class="title">在NetBeans 4&period;1中使用Swing组件</a>
					<div>
						我们创建一个名为 ColorSwitcher 的应用程序.它能将面板的颜色从浅灰切换到中灰和黑色. 一.创建新的 ColorSwitcher 应用程序项目: 选择 &quot;文件&quot;--&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyroA4p.html" rel="bookmark" class="title">Linux系统iis无法正常运行asp文件怎么解决</a>
					<div>
						 Linux系统iis无法正常运行asp文件怎么解决   解决方法: microsoft windows xp [版本 5.1.2600] (c) 版权所有 1985-2001 microsoft c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYjo6b.html" rel="bookmark" class="title">javascript&sol;jquery获取地址栏url参数的方法</a>
					<div>
						 本篇文章主要是对javascript/jquery获取地址栏url参数的方法进行了介绍,需要的朋友可以过来参考下,希望对大家有所帮助 使用jquery获取url以及使用jquery获取url参数是我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLAWRb.html" rel="bookmark" class="title">如何设置鼠标右键菜单</a>
					<div>
						  首先,我用的工具是魔方优化大师,如果你没有的话,请百度下载 找到魔方优化大师的优化设置大师并点击打开 再优化设置大师里找到右键菜单定制,打开在这里就可以进行各种右键菜单的设置了. 如何设置 右键菜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNAvoM.html" rel="bookmark" class="title">ajax poller&lowbar;AJAX相关</a>
					<div>
						Ajax poller Copyright (C) 2006 DTHMLGoodies.com, Alf Magne Kalleland This library is free software;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My34V5z.html" rel="bookmark" class="title">再分享70&plus;免费的jquery 图片滑块效果插件和教程&lowbar;jquery</a>
					<div>
						jQuery Slider插件一般是由滑块与滑动按钮组成,也有一些带暂停和继续按钮的.一般使用的Slider滑块插件,按照展示方式,可以分为两种:一种是为水平滑动:另一种是垂直滑动.当然具体的特效就有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6xWAM.html" rel="bookmark" class="title">CloudStack 4&period;4&plus;KVM之通过ISO文件创建CentOS虚拟机</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://koumm.blog.51cto.com/703525/1564958 Cloud ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRNV6z.html" rel="bookmark" class="title">大神帮帮忙-如何判断压缩文件的文件类型</a>
					<div>
						问题描述 如何判断压缩文件的文件类型 判断压缩文件的类型.我用了ContentType,输出他的ContentType为null.用文件头判断只有rar和zip,不全面. 还有什么方法能判断出他的类型 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKRxqb.html" rel="bookmark" class="title">《Sony Vegas Pro 12标准教程》&mdash;&mdash;2&period;7 视频预览与回放设置</a>
					<div>
						2.7 视频预览与回放设置 到了这里,我想,我们的第一部影片已经做得差不多了.虽可能略显粗糙,却是我们亲手打造出的第一部属于自己的影片.那么,在将它变成一部视频之前,我们先要在Vegas中播放预览看看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKVWab.html" rel="bookmark" class="title">百度新闻新版好丑！</a>
					<div>
						百度新闻新版好丑!  http://news.baidu.com/ 新闻网页贴吧知道音乐图片视频地图百科文库 帮助|高级搜索|设置 新闻全文新闻标题 首页 热点 国内 国际 军事 财经 互联网 体育  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmWRrb.html" rel="bookmark" class="title">AppleWatch开发入门一&mdash;&mdash;Watch的开发思路与应用框架</a>
					<div>
						AppleWatch开发入门一--Watch的开发思路与应用框架 一.引言         Apple Watch无疑是apple在智能手表领域的一次革命,如何在Watch上开发出实用且具有美感的应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRy71b.html" rel="bookmark" class="title">java源码-这个题目求源码大神帮助&quest;&quest;</a>
					<div>
						问题描述 这个题目求源码大神帮助?? 这个看不太明白,求思路和源码??????????????????????????????????????????????????????????????????? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX1kyz.html" rel="bookmark" class="title">可视化图表10个错误的表达方式，你犯了几个？</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   数据可视化是一个沟通复杂信息的强大武器.通过可视化信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKdvqb.html" rel="bookmark" class="title">载了个新语聊天室</a>
					<div>
						问题描述 载了个新语聊天室,好不容易查到连接好了数据库,但是不能聊天求大神帮忙 解决方案 解决方案二:哪里下的到哪里去找技术支持解决方案三:51aspx啊载下来好多bug解决方案四:....哪下的找哪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB94rb.html" rel="bookmark" class="title">腾讯电脑管家获西海岸认证</a>
					<div>
						近日,在国际著名第三方测评认证机构西海岸实验室6月份杀毒软件测评中腾讯电脑管家再次满分通过.此次测评,电脑管家仅使用了自主研发的TAV杀毒引擎及云引擎,病毒检出率达到了100%,这表明中国自主研发的杀 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjL4rM.html" rel="bookmark" class="title">《Core Data应用开发实践指南》一3&period;4　默认的迁移方式</a>
					<div>
						3.4 默认的迁移方式 有时候我们需要比轻量级迁移更为精细的控制手段.比方说,我们要把Measurement实体替换成另外一个名叫Amount的实体,并且还想把Measurement实体中名叫abc的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0alvp.html" rel="bookmark" class="title">大数据实现&OpenCurlyDoubleQuote;0&rdquo;到&OpenCurlyDoubleQuote;1&rdquo; 要分几步走？</a>
					<div>
						大数据有多火?这样的答案可能有千百种,也从反向证明了大数据真的太火,因为所有人都知道.众所周知,在Gartner报告中,常常会看到炒作周期这个词汇.这意味着有很多技术,虽然人人皆知,但是距离实际应用落 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWR0Rz.html" rel="bookmark" class="title">Ajax读取数据到表格的实现代码&lowbar;AJAX相关</a>
					<div>
						今天我们要讲的是:使用Ajax无刷新技术读取服务端多条数据,并将返回的数据显示到一个表格内．同时我还将展示,如何使用JavaScript脚本和Dom接口,来为网页创建一个表格 ．将ajax请求的数据显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmj94z.html" rel="bookmark" class="title">SSH框架网上商城项目第2战之基本增删查改、Service和Action的抽取&lowbar;java</a>
					<div>
						上一节&lt;SSH框架网上商城项目第1战之整合Struts2.Hibernate4.3和Spring4.2&gt;我们搭建好了Struts2.Hibernate和Spring的开发环境,并成功将它们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0gyOz.html" rel="bookmark" class="title">php 分页原理详解&lowbar;php技巧</a>
					<div>
						在看本文之前,请确保你已掌握了PHP的一些知识以及MYSQL的查询操作基础哦. 作为一个Web程序,经常要和不计其数的数据打交道,比如会员的数据,文章数据,假如只有几十个会员那很好办,在一页显示就可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1Jyeb.html" rel="bookmark" class="title">Javascript技巧之不要用for in语句对数组进行遍历&lowbar;jquery</a>
					<div>
						一,为什么不要用for in语句 jqModal这个jquery插件估计很多人都使用过,在jqModal源码内部,有一个函数为hs,其中有个嵌套循环如下, 复制代码 代码如下: for(var i i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLyPvM.html" rel="bookmark" class="title">网站换域名怎么做301重定向</a>
					<div>
						一.为什么要做301重定向? 做好网站的301重定向对网站的优化排名没有任何坏处,相反他对于网站的优化排名有着促进的作用,网站做好301重定向能够集中网站首页的权重:还能规范化网站的路径:301重定向 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqAxAp.html" rel="bookmark" class="title">深度&vert;普惠大数据中心首席数据科学家李文哲：知识图谱的应用</a>
					<div>
						导读:知识图谱 (KnowledgeGraph) 是当前的研究热点.自从2012年Google推出自己第一版知识图谱以来,它在学术界和工业界掀起了一股热潮.各大互联网企业在之后的短短一年内纷纷推出了自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPld3mp.html" rel="bookmark" class="title">tabcontainer中的tabpanel太多了，如何换行显示</a>
					<div>
						问题描述 tabcontainer中的tabpanel太多了,超出了界面,如何使tab每3个换一行 解决方案 解决方案二:我也遇到这个问题了,期待					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW5Y8z.html" rel="bookmark" class="title">树节点的复制粘贴功能</a>
					<div>
						问题描述 小弟的在做一个软件的维护,有个树节点的复制粘贴功能实现不了,求大神帮忙看看./***@Title:mtCutUnit_actionPerformed*@Description:剪切工序单元* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1R3OM.html" rel="bookmark" class="title">电商走上探索开放平台道路</a>
					<div>
						京东集团日前宣布其开放平台致力于成为&quot;卖家整体解决方案提供商&quot;,并推出技术.物流.服务.财务四大支持计划,预计到2016年,第三方卖家开放平台业务将占到整个京东电子商务业务的半壁江 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqV5jp.html" rel="bookmark" class="title">网上叫卖：1分钱10个电话号码</a>
					<div>
						本报讯 羊城晚报记者骆苹报道:1分钱可得10个电话号码!昨日,在某SP(短信服务提供商)的QQ群内,赫然挂出这样一条广告信息.该广告声称,买家不仅可获得私人电话号码,还可获知其&quot;身家&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNO35Jp.html" rel="bookmark" class="title">Mellanox网络助力国产超级计算机登顶TOP500</a>
					<div>
						Top500榜单显示,有超过70%的HPC系统采用InfiniBand网络,并且有50%的千万亿次超算系统采用InfiniBand互连2016年6月20日,世界领先的数据中心端到端互连方案提供商Mel ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
